package ru.dbotthepony.kstarbound.item

import ru.dbotthepony.kstarbound.defs.DamageSource
import ru.dbotthepony.kstarbound.defs.PhysicsForceRegion
import ru.dbotthepony.kstarbound.world.physics.Poly

interface ToolItem {
	val damageSources: Collection<DamageSource>
		get() = listOf()

	val shieldPolys: Collection<Poly>
		get() = listOf()

	val forceRegions: Collection<PhysicsForceRegion>
		get() = listOf()
}
